Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cannot Print [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
systemshq
n00b
n00b


Joined: 28 Mar 2011
Posts: 20

PostPosted: Tue Sep 25, 2012 9:00 am    Post subject: Cannot Print [SOLVED] Reply with quote

Hello. Every time I try to print something from my firefox, google chrome. thunderbird, whichever application I am using it instantly crashes when I click on print. I'm using cups 1.5.3 as that's the most recent version of cups which is compatible with my Kodak ESP 5250 printer and c2esp open source kodak driver. I've used this configuration before in another linux distro so I know this does work. Any help very grateful please. Here's my environment:-
Code:
[ebuild   R    ] net-print/cups-1.5.3  USE="X acl dbus filters java jpeg ldap pam png python ssl threads tiff usb -avahi -debug -gnutls -kerberos -perl (-selinux) -slp -static-libs -systemd -xinetd" LINGUAS="-da -de -es -eu -fi -fr -hu -id -it -ja -ko -nl -no -pl -pt -pt_BR -ru -sv -zh -zh_TW" 9,373 kB

Code:
Total: 1 package (1 reinstall), Size of downloads: 9,373 kB
peter@cartman ~ $ emerge --info
Portage 2.1.11.21 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.15-r2, 3.5.4-gentoo x86_64)
=================================================================
System uname: Linux-3.5.4-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.2
Timestamp of tree: Tue, 25 Sep 2012 08:30:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.4
sys-devel/binutils:       2.22.90
sys-devel/gcc:            4.5.4, 4.6.3, 4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo local_overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit corefonts cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fontconfig fortran gdbm gif gpm gstreamer gtk iconv icu ipv6 java jpeg jpeg2k lcdfilter lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf png policykit postgres ppds pppd python qt3support qt4 readline sdl semantic-desktop session spell sqlite sqlite3 sse sse2 ssl startup-notification svg tcpd threads thumbnail tiff truetype type1 udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver" LINGUAS="en en_GB" NETBEANS_MODULES="apisupport java javafx profiler websvccommon cnd dlight enterprise groovy php webcommon" PHP_TARGETS="php5-3 php5-4" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="jruby ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Last edited by systemshq on Tue Sep 25, 2012 12:52 pm; edited 1 time in total
Back to top
View user's profile Send private message
systemshq
n00b
n00b


Joined: 28 Mar 2011
Posts: 20

PostPosted: Tue Sep 25, 2012 9:07 am    Post subject: Reply with quote

More info. I've run a revdep-rebuild and that's turned up nothing. If I run firefox from the command line I get:-
Code:
firefox: symbol lookup error: /usr/lib64/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so: undefined symbol: ippSetOperation
Back to top
View user's profile Send private message
Fitzcarraldo
Guru
Guru


Joined: 30 Aug 2008
Posts: 552
Location: United Kingdom

PostPosted: Tue Sep 25, 2012 12:36 pm    Post subject: Reply with quote

Did you by any chance upgrade from cups-1.5.3 to cups-1.6.1 and then downgrade to 1.5.3? I ask because when I did that (I reverted to 1.5.3 because of bug STR #4155 in 1.6.1) I experienced exactly the same problem as you. I tried revdep-rebuild too, without success.

I never found a solution and ended up having to re-merge 1.6.1 and use WiFi instead of USB to print to my Canon printer to work around CUPS bug #4155. For printers without network interfaces that would not be an option, though.

I hope you get an answer, as I am curious as to the solution even though I found a work around in my particular case. It looks like the fix for CUPS bug #4155 will only be in CUPS 1.7
_________________
Fitzcarraldo's blog
Back to top
View user's profile Send private message
systemshq
n00b
n00b


Joined: 28 Mar 2011
Posts: 20

PostPosted: Tue Sep 25, 2012 12:52 pm    Post subject: Reply with quote

That sounds very similar to my situation. Fortunately, the open source kodak people now have a driver for cups 1.6.1 which I have now installed and its not crashing anymore. So for anyone with the same problem emerging the latest version of cups is the solution to stop the crashes.
Back to top
View user's profile Send private message
Dominique_71
Veteran
Veteran


Joined: 17 Aug 2005
Posts: 1505
Location: Switzerland (Romandie)

PostPosted: Mon Oct 01, 2012 6:41 am    Post subject: Reply with quote

systemshq wrote:
More info. I've run a revdep-rebuild and that's turned up nothing. If I run firefox from the command line I get:-
Code:
firefox: symbol lookup error: /usr/lib64/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so: undefined symbol: ippSetOperation


This file is part of gtk2, not cups:
Code:
: equery b libprintbackend-cups.so
 * Searching for libprintbackend-cups.so ...
x11-libs/gtk+-2.24.13 (/usr/lib64/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so)

so, all gtk+-2* apps will suffer of this.

Code:
emerge -a =x11-libs/gtk+-2.24.13
did it for me.
_________________
[[[ To any NSA and FBI agents reading that text: please consider ]]]
[[[ whether defending the US Constitution against all enemies, ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum